MMFF/Nonbonded.h File Reference
`#include <RDGeneral/export.h>`
`#include <ForceField/Contrib.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/ForceFieldHelpers/MMFF/AtomTyper.h>`

Go to the source code of this file.

## Classes

class | ForceFields::MMFF::VdWContrib
| the van der Waals term for MMFF More...
class | ForceFields::MMFF::EleContrib
| the electrostatic term for MMFF More...

## Namespaces

| ForceFields
| ForceFields::MMFF
| ForceFields::MMFF::Utils

## Functions

RDKIT_FORCEFIELD_EXPORT double | ForceFields::MMFF::Utils::calcUnscaledVdWMinimum (const MMFFVdWCollection *mmffVdW, const MMFFVdW *mmffVdWParamsAtom1, const MMFFVdW *mmffVdWParamsAtom2)
RDKIT_FORCEFIELD_EXPORT double | ForceFields::MMFF::Utils::calcUnscaledVdWWellDepth (double R_star_ij, const MMFFVdW *mmffVdWParamsIAtom, const MMFFVdW *mmffVdWParamsJAtom)
RDKIT_FORCEFIELD_EXPORT void | ForceFields::MMFF::Utils::scaleVdWParams (double &R_star_ij, double &wellDepth, const MMFFVdWCollection *mmffVdW, const MMFFVdW *mmffVdWParamsIAtom, const MMFFVdW *mmffVdWParamsJAtom)
| scales the VdW parameters More...
RDKIT_FORCEFIELD_EXPORT double | ForceFields::MMFF::Utils::calcVdWEnergy (const double dist, const double R_star_ij, const double wellDepth)
| calculates and returns the Van der Waals MMFF energy More...
RDKIT_FORCEFIELD_EXPORT double | ForceFields::MMFF::Utils::calcEleEnergy (unsigned int idx1, unsigned int idx2, double dist, double chargeTerm, std::uint8_t dielModel, bool is1_4)
| calculates and returns the electrostatic MMFF energy More...